Subject: Re: [Sigtran] M2PA Question

From: Tom George <[email-masked]>
Date: Thu, 11 Jul 2002 15:53:34 -0500

I agree that there are good reasons to use SCTP rather than TCP. But to
answer Andrew's original question, yes, M2PA could be made to work over
TCP with some tinkering. The registered port number was assigned for
both SCTP and TCP. But I have not heard of any interest in M2PA/TCP so I
did not clutter the draft with it. 

tomG.

"Brian F. G. Bidulock" wrote:
> 
> Andrew,
> 
> The length indicator was included to make the UAs suitable for
> use with other IP transports such as TCP.  Just because we
> included that does not mean that use with TCP is recommended.
> 
> One of TCP's major failings in contrast to SCTP is path failure
> detection during times of no (or low) data transfer.  SCTP's
> heartbeat mechanism is far superior to TCP's keepalive mechanism
> which can take up to a number of minutes to detect path failures.
> SCTP can detect the same path failures in seconds.
> 
> In addition SCTP has the ability to rapidly and securely establish
> and restart associations, which TCP does not have.
> 
> Also, M2PA does use multiple streams: one for status messages
> and another for data.  TCP has only the poor one-byte OOB
> equivalent.
> 
> Certainly there are many reasons why SCTP should be used in place
> of TCP in this situation.  See the SCTP AS for more details.
> 
> --brian
> 
> Andrew Booth wrote:                                        (Mon, 24 Jun 2002 14:11:48)
> > Hi Brian,
> >
> > Brian F. G. Bidulock wrote:
> >
> > >Andrew,
> > >
> > >Andrew Booth wrote:                                        (Mon, 24 Jun 2002 10:40:59)
> > >
> > >
> > >>Question:
> > >>Is there any reason why we shouldn't allow M2PA/TCP/IP, which should in
> > >>principle involve less overhead?  Do we use any of the features of SCTP
> > >>that are not in TCP?
> > >>
> > >>
> > >
> > >Message delimitation.
> > >
> > The M2PA header contains a length indicator.  Isn't that enough for
> > message delimitation?
> >
> > Thanks,
> > Andrew
> >
> > >
> > >
> > >--brian
> > >
> > >
> > >
> >
> >
> 
> --
> Brian F. G. Bidulock
> [email-masked]
> http://www.openss7.org/
> 
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran

-- 
* Tom George          972-519-3168           [email-masked]   *
* PB2-1323       Intranet:  http://www.ssd.usa.alcatel.com/~tgeorge/  *
* Alcatel USA, Inc.; 1000 Coit Rd, MS PB2-STPA; Plano TX 75075-5813   *
* I actively disclaim speaking for Alcatel USA, Inc. I do not purport *
* to advertise or represent its position,  operations, or activities. *

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran